import 'package:flutter/material.dart';
import 'package:qadirneyriz/config/config.dart';
import 'package:qadirneyriz/widgets/custom_button.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';

class CustomErrorWidget extends StatelessWidget {
  const CustomErrorWidget({
    super.key,
    this.onPressed,
  });
  final Function()? onPressed;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            AppLocalizations.of(context)!.error,
            style: TextStyle(
                color: config.ui.mainGray,
                fontSize: 12,
                fontWeight: FontWeight.bold),
          ),
          const SizedBox(
            height: 20,
          ),
          CustomButton(
              hieght: 50,
              fontSize: 12,
              text: AppLocalizations.of(context)!.tryagain,
              onPressed: onPressed)
        ],
      ),
    );
  }
}
